net.sf.jasperreports.charts.fill

## Class JRFillValueDisplay

- java.lang.Object
- - net.sf.jasperreports.charts.fill.JRFillValueDisplay

- All Implemented Interfaces:
    java.lang.Cloneable, JRValueDisplay, JRCloneable

      public class JRFillValueDisplay
      extends java.lang.Object
      implements JRValueDisplay

  Version:
    $Id: JRFillValueDisplay.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRChart` | `chart`
    `protected JRValueDisplay` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillValueDisplay(JRValueDisplay valueDisplay, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRValueDisplay` | `clone(JRChart parentChart)`
    `JRChart` | `getChart()`
    `java.awt.Color` | `getColor()` Returns the color to use when writing the value.
    `JRFont` | `getFont()` Returns the font to use when writing the value.
    `java.lang.String` | `getMask()` Returns the formatting mask to use when writing the value.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRValueDisplay parent

    - #### chart

          protected JRChart chart

  - ### Constructor Detail

    - #### JRFillValueDisplay

          public JRFillValueDisplay(JRValueDisplay valueDisplay,
                            JRFillObjectFactory factory)

  - ### Method Detail

    - #### getChart

          public JRChart getChart()

      Specified by:
        `getChart` in interface `JRValueDisplay`

    - #### getColor

          public java.awt.Color getColor()

      Description copied from interface: `JRValueDisplay`
      Returns the color to use when writing the value.
      Specified by:
        `getColor` in interface `JRValueDisplay`
      Returns:
        the color to use when writing the value

    - #### getMask

          public java.lang.String getMask()

      Description copied from interface: `JRValueDisplay`
      Returns the formatting mask to use when writing the value. The mask will be specified using the patterns defined in `java.text.DecimalFormat`.
      Specified by:
        `getMask` in interface `JRValueDisplay`
      Returns:
        the formatting mask to use when writing the value

    - #### getFont

          public JRFont getFont()

      Description copied from interface: `JRValueDisplay`
      Returns the font to use when writing the value.
      Specified by:
        `getFont` in interface `JRValueDisplay`
      Returns:
        the font to use when writing the value

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### clone

          public JRValueDisplay clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRValueDisplay`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com